Skip to content
Start here

Close browser session.

client.browserRendering.devtools.browser.delete(stringsessionId, BrowserDeleteParams { account_id } params, RequestOptionsoptions?): BrowserDeleteResponse { status }
DELETE/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}

Closes an existing browser session.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
sessionId: string

Browser session ID to close.

formatuuid
params: BrowserDeleteParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
BrowserDeleteResponse { status }
status: "closing" | "closed"
One of the following:
"closing"
"closed"

Close browser session.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const browser = await client.browserRendering.devtools.browser.delete(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: 'account_id' },
);

console.log(browser.status);
{
  "status": "closing"
}
Returns Examples
{
  "status": "closing"
}